Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.model
Class EditPointConstraintCollator

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              java.util.HashSet
                  jpicedt.graphic.model.EditPointConstraintCollator

All Implemented Interfaces:
  Cloneable, Collection, EditPointConstraint, Serializable, Set

public class EditPointConstraintCollator
extends HashSet
implements EditPointConstraint

Collates several constraints together, ensuring there is no duplicate constraints.

Since:
  jPicEdt 1.3.3
Version:
  $Id: EditPointConstraintCollator.java,v 1.3.2.1 2007/09/02 11:56:26 reynal Exp $
Author:
  $Author: reynal $
See Also:
  Serialized Form

Constructor Summary
`EditPointConstraintCollator()`
`EditPointConstraintCollator(EditPointConstraint c)`
`EditPointConstraintCollator(EditPointConstraint c1, EditPointConstraint c2)`

Method Summary
`EditPointConstraint` | `and(EditPointConstraint c)`
`boolean` | `imposes(EditPointConstraint c)` Returns true if this constraint imposes the given constraint.
`String` | `toString()`

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

Constructor Detail

### EditPointConstraintCollator

    public EditPointConstraintCollator()

### EditPointConstraintCollator

    public EditPointConstraintCollator(EditPointConstraint c)

### EditPointConstraintCollator

    public EditPointConstraintCollator(EditPointConstraint c1,
                                       EditPointConstraint c2)

Method Detail

### and

    public EditPointConstraint and(EditPointConstraint c)

### toString

    public String toString()

### imposes

    public boolean imposes(EditPointConstraint c)

  Description copied from interface: `EditPointConstraint`
  Returns true if this constraint imposes the given constraint. This is useful for constraints which may contain several AND'd constraints at once.

  Specified by:
    `imposes` in interface `EditPointConstraint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org